Bug 37287 - 2.2.19 kernel panics (can't find root partition)
2.2.19 kernel panics (can't find root partition)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-23 21:51 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-23 21:51:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i586)


Currently running 2.2.17-14 on a Dell poweredge 2300 with a perc sc
(megaraid) raid controller.  Had to upgrade firware on raid controller to
get the 2.2.17-14 kernel working however, the 2.2.19 kernel does the same
panic as the 2.2.17-14 did without the firmware upgrade.  The current
firmware for the controller is 3.13 with bios 1.43 which is 
the latest from dell.  This is not mission critical just thought ya'll
would like to know.

BMan

Reproducible: Always
Steps to Reproduce:
1. boot into 2.2.19
2.
3.
Comment 1 Need Real Name 2001-04-25 14:46:32 EDT
Know the machine will report "Unable to handle kernel paging request at virtual
address......" and then will hard lock and only a reset will work.
Comment 2 Arjan van de Ven 2001-04-25 15:11:27 EDT
without a decoded oops, we cannot go anywhere with this ....
Comment 3 Need Real Name 2001-04-25 17:20:18 EDT
Apr 25 15:45:14 bman kernel: Unable to handle kernel paging request at virtual
address 887e4ff0
Apr 25 15:45:14 bman kernel: current->tss.cr3 = 0b44c000, %%cr3 = 0b44c000
Apr 25 15:45:14 bman kernel: *pde = 00000000
Apr 25 15:45:14 bman kernel: Oops: 0000
Apr 25 15:45:14 bman kernel: CPU:    0
Apr 25 15:45:14 bman kernel: EIP:    0010:[free_wait+46/108]
Apr 25 15:45:14 bman kernel: EFLAGS: 00010087
Apr 25 15:45:14 bman kernel: eax: 00000a0c   ebx: c54d10d0   ecx: 887e4fec  
edx: 887e4fec
Apr 25 15:45:14 bman kernel: esi: c54d10cc   edi: c54c7000   ebp: 00000287  
esp: c3f83f28
Apr 25 15:45:14 bman kernel: ds: 0018   es: 0018   ss: 0018
Apr 25 15:45:14 bman kernel: Process sendmail (pid: 611, process nr: 19,
stackpage=c3f83000)
Apr 25 15:45:14 bman kernel: Stack: c54c7000 00000000 c0130385 c54c7000 ceebacd4
00000005 ceebacd8 00000024
Apr 25 15:45:14 bman kernel:        00000000 00000005 c3f82000 00000cd5 00000000
c54c7000 c0130792 00000005
Apr 25 15:45:14 bman kernel:        c3f83fa8 c3f83fa4 c3f82000 00000000 bfffe204
bfffeb08 ceebaccc bfffe204
Apr 25 15:45:15 bman kernel: Call Trace: [do_select+493/516]
[sys_select+1014/1360] [system_call+52/56]
Apr 25 15:45:15 bman kernel: Code: 8b 41 04 39 d8 74 0c 8d 76 00 89 c2 8b 42 04
39 d8 75 f7 89
Comment 4 Need Real Name 2001-04-25 17:46:04 EDT
ksymoops 0.7c on i686 2.2.17-14.  Options used
     -v /boot/vmlinux-2.2.17-14 (specified)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.2.17-14/ (default)
     -m /boot/System.map-2.2.17-14 (specified)

Error (pclose_local): find_objects pclose failed 0x100
Error (pclose_local): read_nm_symbols pclose failed 0x100
Warning (read_object): no symbols in
/lib/modules/2.2.17-14/build/arch/i386/boot/bbootsect.o
Error (pclose_local): read_nm_symbols pclose failed 0x100
Warning (read_object): no symbols in
/lib/modules/2.2.17-14/build/arch/i386/boot/bsetup.o
Warning (read_object): no symbols in
/lib/modules/2.2.17-14/build/drivers/char/drm/drm.o
Warning (compare_maps): ksyms_base symbol module_list_R__ver_module_list not
found in vmlinux.  Ignoring ksyms_base entry
Warning (map_ksym_to_module): cannot match loaded module ibmtr to a unique
module object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module 3c90x to a unique
module object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module aic7xxx to a unique
module object.  Trace may not be reliable.
Unable to handle kernel paging request at virtual address 887e4ff0
current->tss.cr3 = 0b44c000, %%cr3 = 0b44c000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[free_wait+46/108]
EFLAGS: 00010087
eax: 00000a0c   ebx: c54d10d0   ecx: 887e4fec   edx: 887e4fec
esi: c54d10cc   edi: c54c7000   ebp: 00000287   esp: c3f83f28
ds: 0018   es: 0018   ss: 0018
Process sendmail (pid: 611, process nr: 19, stackpage=c3f83000)
Stack: c54c7000 00000000 c0130385 c54c7000 ceebacd4 00000005 ceebacd8 00000024
        00000000 00000005 c3f82000 00000cd5 00000000 c54c7000 c0130792 00000005
        c3f83fa8 c3f83fa4 c3f82000 00000000 bfffe204 bfffeb08 ceebaccc bfffe204
Call Trace: [do_select+493/516] [sys_select+1014/1360] [system_call+52/56]
Code: 8b 41 04 39 d8 74 0c 8d 76 00 89 c2 8b 42 04 39 d8 75 f7 89
Using defaults from ksymoops -t elf32-i386 -a i386

Code;  00000000 Before first symbol
00000000 <_EIP>:
Code;  00000000 Before first symbol
   0:   8b 41 04                  movl   0x4(%ecx),%eax
Code;  00000003 Before first symbol
   3:   39 d8                     cmpl   %ebx,%eax
Code;  00000005 Before first symbol
   5:   74 0c                     je     13 <_EIP+0x13> 00000013 Before first symbol
Code;  00000007 Before first symbol
   7:   8d 76 00                  leal   0x0(%esi),%esi
Code;  0000000a Before first symbol
   a:   89 c2                     movl   %eax,%edx
Code;  0000000c Before first symbol
   c:   8b 42 04                  movl   0x4(%edx),%eax
Code;  0000000f Before first symbol
   f:   39 d8                     cmpl   %ebx,%eax
Code;  00000011 Before first symbol
  11:   75 f7                     jne    a <_EIP+0xa> 0000000a Before first symbol
Code;  00000013 Before first symbol
  13:   89 00                     movl   %eax,(%eax)


7 warnings and3 errors issued.  Results may not be reliable.
Comment 5 Need Real Name 2001-04-26 10:04:57 EDT
kernel continues to lock up.  Have tried to revert back to 2.2.16 and it will
panic on bootup.
Comment 6 Need Real Name 2001-05-01 23:10:55 EDT
Flashed bios from rev A012 to A014 and 2.2.19-6.2.1 kernel boots fine.  Will see
if it panics like 2.2.17-14 would.  Will update in a few days.
Comment 7 Need Real Name 2001-06-10 18:31:49 EDT
Uptime 39 days, consider this issue closed.  Resolved by bios update and 2.2.19
kernel.

BMan
Comment 8 Bugzilla owner 2004-09-30 11:38:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.